Subject: bug#55495: emacs-haskell-mode build fails

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 18 May 2022 15:16:24 +0200

Hi Taiju,

Am Mittwoch, dem 18.05.2022 um 17:30 +0900 schrieb Taiju HIGASHI:
> Hi,
> 
> emacs-haskell-mode build fails.
> 
> [...]
> In toplevel form:
> haskell-customize.el:173:1: Error: custom-declare-variable `haskell-
> process-do-cabal-format-string' docstring wider than 80 characters
> make: *** [Makefile:80: build-28.1/haskell-customize.elc] Error 1
> make: *** Waiting for unfinished jobs....
> 
> In toplevel form:
> haskell-cabal.el:363:8: Error:  docstring wider than 80 characters
> make: *** [Makefile:80: build-28.1/haskell-cabal.elc] Error 1
> 
> In toplevel form:
> haskell-compile.el:42:1: Error: custom-declare-variable `haskell-
> compile-cabal-build-command' docstring wider than 80 characters
> make: *** [Makefile:80: build-28.1/haskell-compile.elc] Error 1
> 
> In toplevel form:
> haskell.el:448:8: Error:  docstring wider than 80 characters
> make: *** [Makefile:80: build-28.1/haskell.elc] Error 1
> error: in phase 'build': uncaught exception:
> %exception #<&invoke-error program: "make" arguments: ("-j" "16"
> "EMACS=/gnu/store/ad4gg34q1dnkvdblrl2f1svcv84bvbgs-emacs-minimal-
> 28.1/bin/emacs") exit-status: 2 term-signal: #f stop-signal: #f>
> phase `build' failed after 0.4 seconds
> command "make" "-j" "16"
> "EMACS=/gnu/store/ad4gg34q1dnkvdblrl2f1svcv84bvbgs-emacs-minimal-
> 28.1/bin/emacs" failed with status 2
We already have a few packages that disable the byte-compilation-
warnings to errors conversion due to this docstring thing.  Note that a
better alternative to this would be setting byte-compile-warnings to
(not docstrings).

> I believe the problem will be resolved when the following pull
> request I submitted is merged and the next version is released.
> https://github.com/haskell/haskell-mode/pull/1780
> 
> I will submit a patch once the release is complete.
Is a release imminent?  If not, you could apply your patch to the Guix
package first.  Given that you've already made a pull request upstream
there should be little in the way of pushing it here other than normal
review work :)

Cheers